Name:		iw
Summary:	Configuration utility for wireless devices
Version:	5.19
Release:	%mkrel 1
License:	BSD
Group:		System/Base
Source0:	https://www.kernel.org/pub/software/network/iw/iw-%{version}.tar.xz

URL:		https://wireless.wiki.kernel.org/en/users/documentation/iw
BuildRequires:	libnl3-devel >= 3.2.11-1

%description
iw is a new nl80211 based CLI configuration utility for wireless devices.
Currently you can only use this utility to configure devices which use a
mac80211 driver as these are the new drivers being written.

%prep
%setup -q
%apply_patches

%build
export CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"
%make_build CC=%{__cc}

%install
%makeinstall \
	PREFIX=%{buildroot} \
	BINDIR=%{buildroot}/sbin \
    MANDIR=%{buildroot}/%{_mandir}

%files
%defattr(-,root,root)
%doc COPYING README
/sbin/%{name}
%{_mandir}/man8/iw.8.*


%changelog
* Thu Oct 20 2022 tex - 5.19-1pclos2022
- new version

* Tue Jan 12 2021 yodelu 5.9-1.1pclos2021
- new

